package com.qmth.teachcloud.report.business.bean.dto.printOpen;

import com.qmth.teachcloud.common.enums.DimensionEnum;
import com.qmth.teachcloud.common.enums.EvaluationEnum;

import java.util.List;

/**
 * @Description: 试卷评价
 * @Author: CaoZixuan
 * @Date: 2022-06-08
 */
public class PaperEvaluation {
    private DimensionEnum moduleType;
    private String interpret;
    private String remark;
    private List<SecondaryDimensionLevelDefine> secondaryDimensionLevelDefineList;
    private EvaluationEnum formula;
    private List<ModuleEvaluation> moduleEvaluationList;

    public DimensionEnum getModuleType() {
        return moduleType;
    }

    public void setModuleType(DimensionEnum moduleType) {
        this.moduleType = moduleType;
    }

    public String getInterpret() {
        return interpret;
    }

    public void setInterpret(String interpret) {
        this.interpret = interpret;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<SecondaryDimensionLevelDefine> getSecondaryDimensionLevelDefineList() {
        return secondaryDimensionLevelDefineList;
    }

    public void setSecondaryDimensionLevelDefineList(List<SecondaryDimensionLevelDefine> secondaryDimensionLevelDefineList) {
        this.secondaryDimensionLevelDefineList = secondaryDimensionLevelDefineList;
    }

    public EvaluationEnum getFormula() {
        return formula;
    }

    public void setFormula(EvaluationEnum formula) {
        this.formula = formula;
    }

    public List<ModuleEvaluation> getModuleEvaluationList() {
        return moduleEvaluationList;
    }

    public void setModuleEvaluationList(List<ModuleEvaluation> moduleEvaluationList) {
        this.moduleEvaluationList = moduleEvaluationList;
    }
}
